[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# IncYear

Increase a TDateTime value with a number of years.

## Declaration

Source position: dateutil.inc line 297

`function IncYear(`
`const AValue: TDateTime;`
`const ANumberOfYears: Integer`
`):TDateTime; function IncYear(`
`const AValue: TDateTime`
`):TDateTime;`

## Arguments

`AValue` |  | TDateTime to which years should be added.
`ANumberOfYears` |  | Number of years to add

## Function result

TDateTime representing AValue plus ANumberOfYears years.

## Arguments

`AValue` |  | TDateTime to which years should be added.

## Description

IncYear adds ANumberOfYears years to AValue and returns the resulting date/time. ANumberOfYears can be positive or negative.

## See also

#rtl.sysutils.IncMonth |  | Increases the month in a TDateTime value with a given amount.
IncWeek |  | Increase a TDateTime value with a number of weeks.
IncDay |  | Increase a TDateTime value with a number of days.
IncHour |  | Increase a TDateTime value with a number of hours.
IncMinute |  | Increase a TDateTime value with a number of minutes.
IncSecond |  | Increase a TDateTime value with a number of seconds.
IncMilliSecond |  | Increase a TDateTime value with a number of milliseconds.

## Example

    Program Example71;

    { This program demonstrates the IncYear function }

    Uses SysUtils,DateUtils;

    Begin
      Writeln('One year from today is ',DateToStr(IncYear(Today,1)));
      Writeln('One year ago from today is ',DateToStr(IncYear(Today,-1)));
    End.